Subject: RE: Configure not finding autoconf & automake
From: Earnie Boyd <[email-masked]>
To: Steve Bloomfield <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Fri, 19 Nov 1999 08:25:15 -0800 (PST)

--- Steve Bloomfield <[email-masked]> wrote:
> > -----Original Message-----
> > From: Earnie Boyd [mailto:[email-masked]]
> > Sent: Friday, November 19, 1999 9:19 AM
> > To: Steve Bloomfield
> > Cc: [email-masked]'
> > Subject: RE: Configure not finding autoconf & automake
> > 
> > 
> > Please paste the output of `cygcheck -s -v -r' in a mail.
> > 
-8<-
> 
> Cygnus Win95/NT Configuration Diagnostics
> Current System Time: Fri Nov 19 09:39:40 1999
> 
> WinNT Ver 4.0 build 1381 Service Pack 5
> 
> Path:	/c/WINNT/MS/SMS/CORE/BIN
> 	.
> 	/usr/libexec
> 	/contrib/sbin
> 	/contrib/libexec
> 	/BIN
> 	/CONTRIB/BIN

Hmm.  First move the Cygwin directories to the top of the PATH.
And.  I don't know if this matters but I've never seen /BIN in uppercase in the
path.  I'd suggest changing it to lowercase.

> 	/usr/local/bin
> 	/c/Perl/bin
> 	/c/WINNT/system32
> 	/c/WINNT
> 	/c/Program Files/Personal Communications
> 	/e/rkit
> 	/c/JDK/BIN
> 	/c/PBDLL60/BIN
> 	/c/PBDLL60/BIN16
> 	/c/WINNT/SYSTEM32/WBEM
> 	.
> 

Another method for changing the PATH relative to cygwin is to use the ~/.bashrc
file to modify the PATH.  I would remove anything you don't plan to use with
cygwin.

> SysDir: C:\WINNT\System32
> WinDir: C:\WINNT
> 
> CYGWIN = `tty notitle strip_title '
> C_INCLUDE_PATH = `/usr/include:/contrib/include:/usr/i686-cygwin/include'
> HOME = `/home'
> LD_LIBRARY_PATH = `/%PATH%'
> LIBRARY_PATH = `/usr/lib:/contrib/lib:/usr/i686-cygwin/lib'
> MAKE_MODE = `unix'
> PWD = `/'
> 
> BINDIR = `d:\wd\bin'
> CLASSPATH =
> `.;c:\jdk\jre\lib\rt.jar;c:\jdk\jre\lib\plugprov.jar;c:\jdk\jre\lib\jaws.j
> ar;c:\jdk\jre\lib\i18n.jar;c:\jdk\jre\lib\ext\iiimp.jar;c:\jdk\lib\dt.jar;
> c:\jdk\lib\tools.jar'
> COMPUTERNAME = `XXXXXXXXXXX'
> COMSPEC = `C:\WINNT\system32\cmd.exe'
> HOMEDRIVE = `N:'
> HOMEPATH = `\'
> HOMESHARE = `\\XXXXXXXX\XXXXXXX$'
> HOSTNAME = `XXXXXXXXXX'
> HOSTTYPE = `i686'
> LOGONSERVER = `\\XXXXXXXX'
> MACHTYPE = `i686-pc-cygwin'
> NTRESKIT = `E:\rkit'
> NUMBER_OF_PROCESSORS = `1'
> OS2LIBPATH = `C:\WINNT\system32\os2\dll;'
> OS = `Windows_NT'
> OSTYPE = `cygwin'
> PROCESSOR_ARCHITECTURE = `x86'
> PROCESSOR_IDENTIFIER = `x86 Family 6 Model 5 Stepping 2, GenuineIntel'
> PROCESSOR_LEVEL = `6'
> PROCESSOR_REVISION = `0502'
> SHELL = `/bin/bash'
> SHLVL = `1'
> SMS_LOCAL_DIR = `C:\WINNT'
> SMS_LOCAL_DIR_USER = `C:\WINNT'
> SYSTEMDRIVE = `C:'
> SYSTEMROOT = `C:\WINNT'
> TEMP = `C:\TEMP'
> TERM = `cygwin'
> TERMCAP = `/etc/termcap'
> TMP = `C:\TEMP'
> TMPDIR = `e:\gnu\tmp'
> USERDOMAIN = `XXXXXXXXXXX'
> USERNAME = `XXXXXX'
> USERPROFILE = `C:\WINNT\Profiles\XXXXXX.000'
> WINDIR = `C:\WINNT'
> _ = `/BIN/cygcheck'
> _POSIX_TERM = `on'
> TZ = `EST5EDT4,M4.1.0/2,M10.5.0/2'
> 
> HKEY_CURRENT_USER\Software\Cygnus Solutions
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
>   (default) = `/cygdrive'
>   cygdrive flags = 0x00000020
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/c
>   (default) = `c:\'
>   flags = 0x00000002
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/d
>   (default) = `d:\'
>   flags = 0x00000002
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/e
>   (default) = `e:\'
>   flags = 0x00000002
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/f
>   (default) = `f:\'
>   flags = 0x00000002
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/tmp
>   (default) = `c:temp'

This registry value is incorrect.  It needs to be c:\temp for the /tmp to
resolve correctly.  You can change it by doing

umount /tmp && mount -b 'c:\temp' /tmp

Or use REGEDIT.

=====
Earnie Boyd <mailto:[email-masked]>
Cygwin Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>
__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]